Page MenuHomePhabricator

Stop using composer class autoloading for "WikibaseQualityConstraints" extension
Closed, ResolvedPublic

Description

In order to load this extension as a 'regular' extension in terms of the WMF deployment system the autoloader can not be generated by composer after cloning the git repo.
The class auto loading must be provided as part of the code contained in the git repo.

This could:

  1. Be a committed version of the composer generator autoloader in a different location?
  2. Be a list generated by the mediawiki core autoloader generating maint script?
  3. Be something else

Interesting task to note is T99865: Extension registration should support using a PSR-4 autoloader but that is not done yet!

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : masterUse MediaWiki autoloader

Event Timeline

Addshore created this task.Nov 8 2017, 6:41 PM

As this extension is under active development, I guess we might want to consider some automated approach here too (as in T180067)?

As this extension is under active development, I guess we might want to consider some automated approach here too (as in T180067)?

I mean, keeping the lists of classes up to date isn't that hard, it's what we do in all of the Technical wishes extensions.

Change 391036 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseQualityConstraints@master] Use MediaWiki autoloader

https://gerrit.wikimedia.org/r/391036

Addshore closed this task as Resolved.Nov 14 2017, 2:45 PM
Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptNov 14 2017, 2:45 PM

Change 391036 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Use MediaWiki autoloader

https://gerrit.wikimedia.org/r/391036